import {useAuth} from "../../context/AuthContext.tsx";
import {useNavigate} from "react-router-dom";

const HeaderMenu = () => {
    const auth = useAuth()
    const navigate = useNavigate();
    function logout() {
        auth.logout()
        navigate('/');
    }
    return <>
        <div className={"flex p-1"}>
            <div className={"grow"}>
                Menu will be placed here
            </div>
            <div>
                <a onClick={logout} className={"underline cursor-pointer"}>Logout</a>
            </div>
        </div>
    </>
}

export default HeaderMenu;